/** @file SubMenuItem.h
 *  @brief Declare the UI::SubMenuItem class.
 *  @author James Legg
 */
/* Copyright © 2009 James Legg.
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
*/
#ifndef SUBMENUITEM_H_
#define SUBMENUITEM_H_

#include "MenuItem.h"
#include "Menu.h"

namespace UI
{

class Menu;

/** A MenuItem that pops up another menu when activated.
 */
class SubMenuItem : public UI::MenuItem
{
public:
    SubMenuItem(std::wstring label);
    virtual ~SubMenuItem();
    virtual void draw();
    Menu * get_menu();
private:
    Menu menu;
};

}

#endif /*SUBMENUITEM_H_*/
